Subject: Re: linux-next: build warning after merge of the pci tree

From: Vaibhav Gupta <[email-masked]>
Date: Wed, 2 Sep 2020 19:43:12 +0530

On Wed, Sep 02, 2020 at 07:33:12AM -0500, Bjorn Helgaas wrote:
> On Wed, Sep 02, 2020 at 11:07:43AM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the pci tree, today's linux-next build (x86_64 allmodconfig)
> > produced this warning:
> > 
> > drivers/pci/pci-driver.c: In function 'pci_pm_thaw_noirq':
> > drivers/pci/pci-driver.c:1037:6: warning: unused variable 'error' [-Wunused-variable]
> >  1037 |  int error;
> >       |      ^~~~~
> > drivers/pci/pci-driver.c: In function 'pci_pm_restore_noirq':
> > drivers/pci/pci-driver.c:1169:6: warning: unused variable 'error' [-Wunused-variable]
> >  1169 |  int error;
> >       |      ^~~~~
> > 
> > Introduced by commit
> > 
> >   89a8561c63d3 ("PCI: Remove unused pcibios_pm_ops")
Hello, I did compile test it with W=1 flag. I am sorry, I must have missed it.
> Fixed, thanks!
Thanks for the fix.